Package com.google.gwt.uibinder.elementparsers

## Class TextPlaceholderInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter
  - - com.google.gwt.uibinder.elementparsers.TextPlaceholderInterpreter

- All Implemented Interfaces:
    `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`, `com.google.gwt.uibinder.rebind.XMLElement.PostProcessingInterpreter<java.lang.String>`

      public final class TextPlaceholderInterpreter
      extends com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter

  Interprets the interior of text message. Any ph elements in the message will be consumed by a call to their `XMLElement.consumeInnerText(com.google.gwt.uibinder.rebind.XMLElement.PostProcessingInterpreter<java.lang.String>)` method. A ph inside a text message may contain no other elements.

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter

      `message, tokenator, uiWriter`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextPlaceholderInterpreter​(com.google.gwt.uibinder.rebind.UiBinderWriter writer, com.google.gwt.uibinder.rebind.messages.MessageWriter message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `consumePlaceholderInnards​(com.google.gwt.uibinder.rebind.XMLElement elem)` |

    - ### Methods inherited from class com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter

      `interpretElement, nextPlaceholder, postProcess, stripTokens`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextPlaceholderInterpreter

          public TextPlaceholderInterpreter​(com.google.gwt.uibinder.rebind.UiBinderWriter writer,
                                            com.google.gwt.uibinder.rebind.messages.MessageWriter message)

  - ### Method Detail

    - #### consumePlaceholderInnards

          protected java.lang.String consumePlaceholderInnards​(com.google.gwt.uibinder.rebind.XMLElement elem)
                                                        throws UnableToCompleteException

      Specified by:
        `consumePlaceholderInnards` in class `com.google.gwt.uibinder.rebind.messages.PlaceholderInterpreter`
      Throws:
        `UnableToCompleteException`